data:extend({

    -- Output
    {
        type = "electric-energy-interface",
        name = "test-output",
        icon = "__Test__/graphics/color9.png",
        flags = {"not-blueprintable", "not-deconstructable", "not-on-map"},
        max_health = 1,
        selectable = false,
        destructible = false,
        collision_box = nil,
        collision_mask = {},
        energy_source = {
            type = "electric",
            buffer_capacity = "2MJ",
            usage_priority = "primary-output",
            input_flow_limit = "0W",
            output_flow_limit = "2MW",
        },
        energy_production = "2MW",
        energy_usage = "0W",
    },

    -- Accumulator
    {
        type = "electric-energy-interface",
        name = "test-accumulator",
        icon = "__base__/graphics/icons/accumulator.png",
        flags = {"not-blueprintable", "not-deconstructable", "not-on-map"},
        max_health = 1,
        selectable = false,
        destructible = false,
        collision_box = nil,
        collision_mask = {},
        energy_source = {
            type = "electric",
            buffer_capacity = "1GW",
            usage_priority = "terciary",
            input_flow_limit = "1MW",
            output_flow_limit = "1MW",
        },
        charge_cooldown = 0,
        discharge_cooldown = 0,
    },

    -- Input
    {
        type = "electric-energy-interface",
        name = "test-input",
        icon = "__Test__/graphics/color0.png",
        flags = {"not-blueprintable", "not-deconstructable", "not-on-map"},
        max_health = 1,
        selectable = false,
        destructible = false,
        collision_box = nil,
        collision_mask = {},
        energy_source = {
            type = "electric",
            buffer_capacity = "0J", -- set at runtime
            usage_priority = "primary-input",
            input_flow_limit = "0W", -- set at runtime
            output_flow_limit = "0W",
        },
        energy_production = "0W",
        energy_usage = "0W",
    },
})
